package de.sebse.fuplanner.services.KVV.types;

import java.io.Serializable;

public class Gradebook implements Serializable {
    private final String itemName;
    private final double grade;
    private final double maxPoints;

    public Gradebook(String itemName, double points, double maxPoints) {
        this.itemName = itemName;
        this.grade = points;
        this.maxPoints = maxPoints;
    }

    public double getMaxPoints() {
        return maxPoints;
    }

    public double getPoints() {
        return grade;
    }

    public String getItemName() {
        return itemName;
    }

    @Override
    public String toString() {
        return "Name: "+getItemName()+
                "\nPoints: "+ getPoints()+
                "\nMax points: "+getMaxPoints();
    }
}
